%define version 0.7.0
%define release alt1
%define origname TwistedWeb
%setup_python_module twisted-web

Name:           %{packagename}
Version:        %{version}
Release:        %{release}
Summary:        Twisted web server, programmable in Python

Group:          Development/Python
License:        MIT
URL:            http://twistedmatrix.com/trac/wiki/TwistedWeb
Packager:	Sergey Alembekov <rt@altlinux.ru>
Source0:        http://tmrc.mit.edu/mirror/twisted/Web/0.7/%{origname}-%{version}.tar.bz2

BuildRequires:  python-module-twisted-core
BuildRequires:  python-devel

Requires:       python-module-twisted-core
Requires:       python-module-pygoogle

%add_python_req_skip SOAPpy

%description
Twisted is an event-based framework for internet applications.

Twisted Web is a complete web server, aimed at hosting web
applications using Twisted and Python, but fully able to serve static
pages, also.

%prep
%setup -q -n %{origname}-%{version}

%{__sed} -i -e '/^#! *\/usr\/bin\/python/d' twisted/web/test/test_cgi.py
%{__sed} -i -e '/^#! *\/usr\/bin\/python/d' twisted/web/test/test_distrib.py

%build
%__python setup.py build

%install
%__python setup.py install --root $RPM_BUILD_ROOT

%clean

%files
%defattr(-,root,root,-)
%doc README LICENSE NEWS doc/*

%{python_sitelibdir}/twisted/web/

%{python_sitelibdir}/twisted/plugins/twisted_web.py*

%changelog
* Fri Mar 30 2007 Sergey Alembekov <rt@altlinux.ru> 0.7.0-alt1
 - Build for new upstream version
